LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
EmfTools Service Reference

Service that describes the necessary interfaces and properties to handle emf files. More...

`import"EmfTools.idl";`

Inheritance diagram for EmfTools:

## Additional Inherited Members
Public Member Functions inherited from XEmfParser
sequence< XPrimitive2D > | getDecomposition ([in] io::XInputStream xEmfStream, [in] string aAbsolutePath, [in] ::com::sun::star::beans::PropertyValues Properties)
| Retrieve decomposed list of simpler primitives. More...
void | setSizeHint ([in] com::sun::star::geometry::RealPoint2D Size)
| Sets a size hint on this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service that describes the necessary interfaces and properties to handle emf files.

Parses a WMF/EMF/EMF+ file to a sequence of B2DPrimitives for internal usage

Since
  LibreOffice 6.0

The documentation for this service was generated from the following file:

- com/sun/star/graphic/EmfTools.idl